curl
curl https://api.expys.com/v1/members \
-H "Authorization: Bearer YOUR_MEMBER_TOKEN"import requests
url = "https://api.expys.com/v1/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.expys.com/v1/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"members": [
{
"attributes": {},
"displayName": "<string>",
"externalUserID": "<string>",
"redemptionCounts": {
"AWAITING_CUSTOMER": 123,
"AWAITING_VENDOR": 123,
"CANCELED": 123,
"COMPLETED": 123,
"OPEN": 123,
"PURCHASED": 123,
"SUBMITTED": 123
},
"tier": "<string>",
"wallet": {
"amountReceived": 123,
"amountSpent": 123,
"balance": 123,
"currency": {
"name": "<string>",
"symbol": "<string>"
}
}
}
],
"nextCursor": "<string>"
}Members
List VIP members, newest-first, cursor-paged
GET
/
v1
/
members
curl
curl https://api.expys.com/v1/members \
-H "Authorization: Bearer YOUR_MEMBER_TOKEN"import requests
url = "https://api.expys.com/v1/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.expys.com/v1/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"members": [
{
"attributes": {},
"displayName": "<string>",
"externalUserID": "<string>",
"redemptionCounts": {
"AWAITING_CUSTOMER": 123,
"AWAITING_VENDOR": 123,
"CANCELED": 123,
"COMPLETED": 123,
"OPEN": 123,
"PURCHASED": 123,
"SUBMITTED": 123
},
"tier": "<string>",
"wallet": {
"amountReceived": 123,
"amountSpent": 123,
"balance": 123,
"currency": {
"name": "<string>",
"symbol": "<string>"
}
}
}
],
"nextCursor": "<string>"
}Authorizations
ApiKeyBearerApiKeyHeader
Org-API-Key as a Bearer token.
Query Parameters
Required range:
1 <= x <= 100Minimum string length:
1⌘I